···4040 </listitem>
41414242 <listitem>
4343+ <para>
4444+ The GNOME version is now 3.26.
4545+ </para>
4646+ </listitem>
4747+4848+ <listitem>
4349 <para>PHP now defaults to PHP 7.2</para>
4450 </listitem>
4551</itemizedlist>
···215221 <para>
216222 The <literal>jid</literal> package has been removed, due to maintenance
217223 overhead of a go package having non-versioned dependencies.
224224+ </para>
225225+ </listitem>
226226+ <listitem>
227227+ <para>
228228+ When using <option>services.xserver.libinput</option> (enabled by default in GNOME),
229229+ it now handles all input devices, not just touchpads. As a result, you might need to
230230+ re-evaluate any custom Xorg configuration. In particular,
231231+ <literal>Option "XkbRules" "base"</literal> may result in broken keyboard layout.
218232 </para>
219233 </listitem>
220234</itemizedlist>
···11-WGET_ARGS=( https://download.kde.org/stable/plasma/5.11.5/ -A '*.tar.xz' )
11+WGET_ARGS=( https://download.kde.org/stable/plasma/5.12.1/ -A '*.tar.xz' )
···11diff --git a/applets/batterymonitor/package/contents/ui/BatteryItem.qml b/applets/batterymonitor/package/contents/ui/BatteryItem.qml
22-index 7e2d9758..40a5797b 100644
22+index 7e2d975..40a5797 100644
33--- a/applets/batterymonitor/package/contents/ui/BatteryItem.qml
44+++ b/applets/batterymonitor/package/contents/ui/BatteryItem.qml
55@@ -26,7 +26,7 @@ import org.kde.plasma.components 2.0 as PlasmaComponents
···1212 Item {
1313 id: batteryItem
1414diff --git a/applets/batterymonitor/package/contents/ui/batterymonitor.qml b/applets/batterymonitor/package/contents/ui/batterymonitor.qml
1515-index ae6d5919..c2f99c86 100644
1515+index 50deee5..45b6b37 100644
1616--- a/applets/batterymonitor/package/contents/ui/batterymonitor.qml
1717+++ b/applets/batterymonitor/package/contents/ui/batterymonitor.qml
1818@@ -25,7 +25,7 @@ import org.kde.plasma.plasmoid 2.0
···2525 Item {
2626 id: batterymonitor
2727diff --git a/applets/lock_logout/contents/ui/lockout.qml b/applets/lock_logout/contents/ui/lockout.qml
2828-index 80e7e53b..0083cf01 100644
2828+index 80e7e53..0083cf0 100644
2929--- a/applets/lock_logout/contents/ui/lockout.qml
3030+++ b/applets/lock_logout/contents/ui/lockout.qml
3131@@ -23,7 +23,7 @@ import org.kde.plasma.plasmoid 2.0
···3838 Flow {
3939 id: lockout
4040diff --git a/applets/notifications/package/contents/ui/main.qml b/applets/notifications/package/contents/ui/main.qml
4141-index acdda88f..989de8ab 100644
4141+index cb15cfa..a6976ba 100644
4242--- a/applets/notifications/package/contents/ui/main.qml
4343+++ b/applets/notifications/package/contents/ui/main.qml
4444@@ -28,7 +28,7 @@ import org.kde.plasma.extras 2.0 as PlasmaExtras
···5151 MouseEventListener {
5252 id: notificationsApplet
5353diff --git a/krunner/dbus/org.kde.krunner.service.in b/krunner/dbus/org.kde.krunner.service.in
5454-index 85715214..294eab08 100644
5454+index 8571521..294eab0 100644
5555--- a/krunner/dbus/org.kde.krunner.service.in
5656+++ b/krunner/dbus/org.kde.krunner.service.in
5757@@ -1,4 +1,4 @@
···6161+Exec=@CMAKE_INSTALL_FULL_BINDIR@/krunner
62626363diff --git a/kuiserver/org.kde.kuiserver.service.in b/kuiserver/org.kde.kuiserver.service.in
6464-index 7a86d07f..5b3030cc 100644
6464+index 7a86d07..5b3030c 100644
6565--- a/kuiserver/org.kde.kuiserver.service.in
6666+++ b/kuiserver/org.kde.kuiserver.service.in
6767@@ -1,3 +1,3 @@
···7070-Exec=@CMAKE_INSTALL_PREFIX@/bin/kuiserver5
7171+Exec=@CMAKE_INSTALL_FULL_BINDIR@/kuiserver5
7272diff --git a/startkde/CMakeLists.txt b/startkde/CMakeLists.txt
7373-index fe29f57a..247db953 100644
7373+index fe29f57..247db95 100644
7474--- a/startkde/CMakeLists.txt
7575+++ b/startkde/CMakeLists.txt
7676@@ -3,11 +3,6 @@ add_subdirectory(kstartupconfig)
···8686 configure_file(startplasmacompositor.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasmacompositor @ONLY)
8787 configure_file(startplasma.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasma @ONLY)
8888diff --git a/startkde/kstartupconfig/kstartupconfig.cpp b/startkde/kstartupconfig/kstartupconfig.cpp
8989-index c9927855..bd506ce2 100644
8989+index c992785..bd506ce 100644
9090--- a/startkde/kstartupconfig/kstartupconfig.cpp
9191+++ b/startkde/kstartupconfig/kstartupconfig.cpp
9292@@ -147,5 +147,5 @@ int main()
···9797+ return system( NIXPKGS_KDOSTARTUPCONFIG5 );
9898 }
9999diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
100100-index e9fa0bee..79e50a96 100644
100100+index b3117b4..e70110e 100644
101101--- a/startkde/startkde.cmake
102102+++ b/startkde/startkde.cmake
103103@@ -1,22 +1,31 @@
···142142 fi
143143144144 # Boot sequence:
145145-@@ -33,59 +42,132 @@ fi
145145+@@ -33,61 +42,133 @@ fi
146146 #
147147 # * Then ksmserver is started which takes control of the rest of the startup sequence
148148149149--# We need to create config folder so we can write startupconfigkeys
150149-if [ ${XDG_CONFIG_HOME} ]; then
151150- configDir=$XDG_CONFIG_HOME;
152151-else
···174173+if [ -e $XDG_CONFIG_HOME/Trolltech.conf ]; then
175174+ @NIXPKGS_SED@ -e '/nix\\store\|nix\/store/ d' -i $XDG_CONFIG_HOME/Trolltech.conf
176175 fi
176176+ sysConfigDirs=${XDG_CONFIG_DIRS:-/etc/xdg}
177177178178+-# We need to create config folder so we can write startupconfigkeys
178179-mkdir -p $configDir
179180+@NIXPKGS_KBUILDSYCOCA5@
180181+
···297298 exit 1
298299 fi
299300-[ -r $configDir/startupconfig ] && . $configDir/startupconfig
301301+-
300302+if [ -r "$XDG_CONFIG_HOME/startupconfig" ]; then
301303+ . "$XDG_CONFIG_HOME/startupconfig"
302304+fi
303305304304- if [ "$kdeglobals_kscreen_screenscalefactors" ]; then
305305- export QT_SCREEN_SCALE_FACTORS="$kdeglobals_kscreen_screenscalefactors"
306306-@@ -94,26 +176,33 @@ fi
306306+ #Do not sync any of this section with the wayland versions as there scale factors are
307307+ #sent properly over wl_output
308308+@@ -99,26 +180,33 @@ fi
307309 #otherwise apps that manually opt in for high DPI get auto scaled by the developer AND manually scaled by us
308310 export QT_AUTO_SCREEN_SCALE_FACTOR=0
309311···350352 Xft.dpi: $kcmfonts_general_forcefontdpi
351353 EOF
352354 fi
353353-@@ -122,11 +211,11 @@ dl=$DESKTOP_LOCKED
355355+@@ -127,11 +215,11 @@ dl=$DESKTOP_LOCKED
354356 unset DESKTOP_LOCKED # Don't want it in the environment
355357356358 ksplash_pid=
···364366 ;;
365367 None)
366368 ;;
367367-@@ -135,71 +224,6 @@ if test -z "$dl"; then
369369+@@ -140,69 +228,6 @@ if test -z "$dl"; then
368370 esac
369371 fi
370372371373-# Source scripts found in <config locations>/plasma-workspace/env/*.sh
372374-# (where <config locations> correspond to the system and user's configuration
373373--# directories, as identified by Qt's qtpaths, e.g. $HOME/.config
374374--# and /etc/xdg/ on Linux)
375375+-# directory.
375376-#
376377-# This is where you can define environment variables that will be available to
377378-# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
···382383-# For anything else (that doesn't set env vars, or that needs a window manager),
383384-# better use the Autostart folder.
384385-
385385--scriptpath=`qtpaths --locate-dirs GenericConfigLocation plasma-workspace | tr ':' '\n'`
386386+-scriptpath=`echo "$configDir:$sysConfigDirs" | tr ':' '\n'`
386387-
387387--# Add /env/ to the directory to locate the scripts to be sourced
388388-for prefix in `echo $scriptpath`; do
389389-- for file in "$prefix"/env/*.sh; do
389389+- for file in "$prefix"/plasma-workspace/env/*.sh; do
390390- test -r "$file" && . "$file" || true
391391- done
392392-done
···436436 # Set a left cursor instead of the standard X11 "X" cursor, since I've heard
437437 # from some users that they're confused and don't know what to do. This is
438438 # especially necessary on slow machines, where starting KDE takes one or two
439439-@@ -208,28 +232,10 @@ xset fp rehash
439439+@@ -211,28 +236,10 @@ xset fp rehash
440440 # If the user has overwritten fonts, the cursor font may be different now
441441 # so don't move this up.
442442 #
···466466 # Mark that full KDE session is running (e.g. Konqueror preloading works only
467467 # with full KDE running). The KDE_FULL_SESSION property can be detected by
468468 # any X client connected to the same X session, even if not launched
469469-@@ -254,44 +260,65 @@ export XDG_DATA_DIRS
469469+@@ -257,44 +264,65 @@ export XDG_DATA_DIRS
470470 #
471471 KDE_FULL_SESSION=true
472472 export KDE_FULL_SESSION
···545545546546 # finally, give the session control to the session manager
547547 # see kdebase/ksmserver for the description of the rest of the startup sequence
548548-@@ -303,34 +330,37 @@ qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
548548+@@ -306,34 +334,37 @@ qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
549549 # We only check for 255 which means that the ksmserver process could not be
550550 # started, any problems thereafter, e.g. ksmserver failing to initialize,
551551 # will remain undetected.
···594594 done
595595 break
596596 fi
597597-@@ -339,15 +369,17 @@ fi
597597+@@ -342,15 +373,17 @@ fi
598598599599 echo 'startkde: Shutting down...' 1>&2
600600 # just in case
···617617618618 echo 'startkde: Done.' 1>&2
619619diff --git a/startkde/startplasma.cmake b/startkde/startplasma.cmake
620620-index 9f875110..2a7a2a70 100644
620620+index a5d09fa..d42c284 100644
621621--- a/startkde/startplasma.cmake
622622+++ b/startkde/startplasma.cmake
623623@@ -1,6 +1,6 @@
···714714 # Set a left cursor instead of the standard X11 "X" cursor, since I've heard
715715 # from some users that they're confused and don't know what to do. This is
716716 # especially necessary on slow machines, where starting KDE takes one or two
717717-@@ -100,35 +56,25 @@ xset fp rehash
717717+@@ -100,22 +56,13 @@ xset fp rehash
718718 # If the user has overwritten fonts, the cursor font may be different now
719719 # so don't move this up.
720720 #
···738738+@NIXPKGS_XPROP@ -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
739739+@NIXPKGS_XPROP@ -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
740740741741+ # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
742742+ if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
743743+@@ -131,16 +78,15 @@ fi
744744+741745 # We set LD_BIND_NOW to increase the efficiency of kdeinit.
742746 # kdeinit unsets this variable before loading applications.
743747-LD_BIND_NOW=true @CMAKE_INSTALL_FULL_LIBEXECDIR_KF5@/start_kdeinit_wrapper --kded +kcminit_startup
···755759756760 # finally, give the session control to the session manager
757761 # see kdebase/ksmserver for the description of the rest of the startup sequence
758758-@@ -143,27 +89,26 @@ qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit
759759- # If the session should be locked from the start (locked autologin),
760760- # lock now and do the rest of the KDE startup underneath the locker.
761761- KSMSERVEROPTIONS=" --no-lockscreen"
762762--kwrapper5 @CMAKE_INSTALL_FULL_BINDIR@/ksmserver $KDEWM $KSMSERVEROPTIONS
763763-+@NIXPKGS_KWRAPPER5@ @CMAKE_INSTALL_FULL_BINDIR@/ksmserver $KDEWM $KSMSERVEROPTIONS
764764- if test $? -eq 255; then
765765- # Startup error
766766- echo 'startplasma: Could not start ksmserver. Check your installation.' 1>&2
767767- test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
768768-- xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
762762+@@ -163,19 +109,19 @@ if test $? -eq 255; then
763763+ xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
769764 fi
770765771766-wait_drkonqi=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Enabled --default true`
···791786 done
792787 break
793788 fi
794794-@@ -172,15 +117,17 @@ fi
789789+@@ -184,15 +130,17 @@ fi
795790796791 echo 'startplasma: Shutting down...' 1>&2
797792 # just in case
798793-test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
799794+if [ -n "$ksplash_pid" ]; then
800800-+ kill "$ksplash_pid" 2>/dev/null
795795++ "$ksplash_pid" 2>/dev/null
801796+fi
802797803798 # Clean up
···814809815810 echo 'startplasma: Done.' 1>&2
816811diff --git a/startkde/startplasmacompositor.cmake b/startkde/startplasmacompositor.cmake
817817-index 417a87d4..3f62745a 100644
812812+index 8ac47aa..49970ef 100644
818813--- a/startkde/startplasmacompositor.cmake
819814+++ b/startkde/startplasmacompositor.cmake
820820-@@ -1,173 +1,171 @@
815815+@@ -1,118 +1,165 @@
821816 #!/bin/sh
822817 #
823818-# DEFAULT Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
824819+# NIXPKGS Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
825820 #
826821827827--# in case we have been started with full pathname spec without being in PATH
828828--bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
829829--if [ -n "$bindir" ]; then
830830-- qbindir=`qtpaths --binaries-dir`
831831-- qdbus=$qbindir/qdbus
832832-- case $PATH in
833833-- $bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
834834-- *) PATH=$bindir:$PATH; export PATH;;
835835-- esac
822822+-# We need to create config folder so we can write startupconfigkeys
823823+-if [ ${XDG_CONFIG_HOME} ]; then
824824+- configDir=$XDG_CONFIG_HOME;
836825-else
837837-- qdbus=qdbus
826826+- configDir=${HOME}/.config; #this is the default, http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
838827+# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
839828+unset DYLD_FORCE_FLAT_NAMESPACE
840829+
···860849+# Qt from doing this wackiness in the first place.
861850+if [ -e $XDG_CONFIG_HOME/Trolltech.conf ]; then
862851+ @NIXPKGS_SED@ -e '/nix\\store\|nix\/store/ d' -i $XDG_CONFIG_HOME/Trolltech.conf
863863- fi
864864-865865--# We need to create config folder so we can write startupconfigkeys
866866--if [ ${XDG_CONFIG_HOME} ]; then
867867-- configDir=$XDG_CONFIG_HOME;
868868--else
869869-- configDir=${HOME}/.config; #this is the default, http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
852852++fi
853853++
870854+@NIXPKGS_KBUILDSYCOCA5@
871855+
872856+# Set the default GTK 2 theme
···891875+gtk-button-images=1
892876+EOF
893877 fi
878878+ sysConfigDirs=${XDG_CONFIG_DIRS:-/etc/xdg}
894879880880+-# We need to create config folder so we can write startupconfigkeys
895881-mkdir -p $configDir
896882+# Set the default GTK 3 theme
897883+gtk3_settings="$XDG_CONFIG_HOME/gtk-3.0/settings.ini"
···1012998- }
1013999 fi
1014100010151015--kstartupconfig5
10161016--returncode=$?
10011001+ kstartupconfig5
10021002+ returncode=$?
10171003-if test $returncode -ne 0; then
10181004+if ! @CMAKE_INSTALL_FULL_BINDIR@/kstartupconfig5; then
10191005 exit 1
···10471033- XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
10481034- export XCURSOR_THEME
10491035+if [ -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ]; then
10501050-+ kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
10361036++ #kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
10511037+ if [ $? -eq 10 ]; then
10521038+ export XCURSOR_THEME=breeze_cursors
10531039+ elif [ -n "$kcminputrc_mouse_cursortheme" ]; then
···10661052 export QT_WAYLAND_FORCE_DPI=$kcmfonts_general_forcefontdpiwayland
10671053 else
10681054 export QT_WAYLAND_FORCE_DPI=96
10551055+@@ -120,12 +167,12 @@ fi
10561056+10571057+ # Get a property value from org.freedesktop.locale1
10581058+ queryLocale1() {
10591059+- qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
10601060++ @NIXPKGS_QDBUS@ --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
10611061+ }
10621062+10631063+ # Query whether org.freedesktop.locale1 is available. If it is, try to
10641064+ # set XKB_DEFAULT_{MODEL,LAYOUT,VARIANT,OPTIONS} accordingly.
10651065+-if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
10661066++if @NIXPKGS_QDBUS@ --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
10671067+ # Do not overwrite existing values. There is no point in setting only some
10681068+ # of them as then they would not match anymore.
10691069+ if [ -z "${XKB_DEFAULT_MODEL}" -a -z "${XKB_DEFAULT_LAYOUT}" -a \
10701070+@@ -141,41 +188,10 @@ if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
10711071+ fi
10691072 fi
1070107310711074-# Source scripts found in <config locations>/plasma-workspace/env/*.sh
···10821085-# For anything else (that doesn't set env vars, or that needs a window manager),
10831086-# better use the Autostart folder.
10841087-
10851085--# TODO: Use GenericConfigLocation once we depend on Qt 5.4
10861086--scriptpath=`qtpaths --paths ConfigLocation | tr ':' '\n' | sed 's,$,/plasma-workspace,g'`
10881088+-scriptpath=`echo "$configDir:$sysConfigDirs" | tr ':' '\n'`
10871089-
10881088--# Add /env/ to the directory to locate the scripts to be sourced
10891090-for prefix in `echo $scriptpath`; do
10901090-- for file in "$prefix"/env/*.sh; do
10911091-- test -r "$file" && . "$file"
10911091+- for file in "$prefix"/plasma-workspace/env/*.sh; do
10921092+- test -r "$file" && . "$file" || true
10921093- done
10931094-done
10941095-
···11041105-export XDG_DATA_DIRS
11051106-
11061107 # Make sure that D-Bus is running
11071107--if $qdbus >/dev/null 2>/dev/null; then
11081108-- : # ok
11091109--else
11101110-+if ! @NIXPKGS_QDBUS@ >/dev/null 2>/dev/null; then
11081108+-if qdbus >/dev/null 2>/dev/null; then
11091109++if @NIXPKGS_QDBUS@ >/dev/null 2>/dev/null; then
11101110+ : # ok
11111111+ else
11111112 echo 'startplasmacompositor: Could not start D-Bus. Can you call qdbus?' 1>&2
11121112- test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
11131113- exit 1
11141114-@@ -202,7 +200,7 @@ export KDE_FULL_SESSION
11131113+@@ -212,7 +228,7 @@ export KDE_FULL_SESSION
11151114 KDE_SESSION_VERSION=5
11161115 export KDE_SESSION_VERSION
11171116···11201119 export KDE_SESSION_UID
1121112011221121 XDG_CURRENT_DESKTOP=KDE
11231123-@@ -212,26 +210,47 @@ export XDG_CURRENT_DESKTOP
11221122+@@ -222,20 +238,41 @@ export XDG_CURRENT_DESKTOP
11241123 QT_QPA_PLATFORM=wayland
11251124 export QT_QPA_PLATFORM
11261125···11481147+ done
11491148+done
11501149+
11511151- # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
11501150+ # kwin_wayland can possibly also start dbus-activated services which need env variables.
11511151+ # In that case, the update in startplasma might be too late.
11521152-if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
11531153- dbus-update-activation-environment --systemd --all
11541154-else
···1171117111721172 echo 'startplasmacompositor: Shutting down...' 1>&2
1173117311741174- unset KDE_FULL_SESSION
11751175--xprop -root -remove KDE_FULL_SESSION
11761176-+@NIXPKGS_XPROP@ -root -remove KDE_FULL_SESSION
11771177- unset KDE_SESSION_VERSION
11781178--xprop -root -remove KDE_SESSION_VERSION
11791179-+@NIXPKGS_XPROP@ -root -remove KDE_SESSION_VERSION
11801180- unset KDE_SESSION_UID
11811181-11821182- echo 'startplasmacompositor: Done.' 1>&2
11831174diff --git a/startkde/waitforname/org.kde.plasma.Notifications.service.in b/startkde/waitforname/org.kde.plasma.Notifications.service.in
11841184-index 0a51b84b..f48b5d8a 100644
11751175+index 0a51b84..f48b5d8 100644
11851176--- a/startkde/waitforname/org.kde.plasma.Notifications.service.in
11861177+++ b/startkde/waitforname/org.kde.plasma.Notifications.service.in
11871178@@ -1,3 +1,3 @@
···19192020 meta = with stdenv.lib; {
2121 description = "C++ Unit Testing Easy Environment";
2222- homepage = http://codesink.org/cutee_unit_testing.html;
2222+ homepage = http://www.codesink.org/cutee_unit_testing.html;
2323 license = licenses.gpl2Plus;
2424 maintainers = with maintainers; [ leenaars];
2525 platforms = platforms.linux;
+41
pkgs/development/libraries/getdns/default.nix
···11+{ stdenv, fetchurl, libtool, unbound, libidn, m4, file
22+, openssl, doxygen, autoreconfHook, automake }:
33+44+stdenv.mkDerivation rec {
55+ pname = "getdns";
66+ name = "${pname}-${version}";
77+ version = "1.3.0";
88+99+ src = fetchurl {
1010+ url = "https://getdnsapi.net/releases/${pname}-1-3-0/${pname}-${version}.tar.gz";
1111+ sha256 = "920fa2e07c72fd0e5854db1820fa777108009fc5cb702f9aa5155ef58b12adb1";
1212+ };
1313+1414+ nativeBuildInputs = [ libtool m4 autoreconfHook automake file ];
1515+1616+ buildInputs = [ unbound libidn openssl doxygen ];
1717+1818+ patchPhase = ''
1919+ substituteInPlace m4/acx_openssl.m4 \
2020+ --replace /usr/local/ssl ${openssl.dev}
2121+ '';
2222+2323+ meta = with stdenv.lib; {
2424+ description = "A modern asynchronous DNS API";
2525+ longDescription = ''
2626+ getdns is an implementation of a modern asynchronous DNS API; the
2727+ specification was originally edited by Paul Hoffman. It is intended to make all
2828+ types of DNS information easily available to application developers and non-DNS
2929+ experts. DNSSEC offers a unique global infrastructure for establishing and
3030+ enhancing cryptographic trust relations. With the development of this API the
3131+ developers intend to offer application developers a modern and flexible
3232+ interface that enables end-to-end trust in the DNS architecture, and which will
3333+ inspire application developers to implement innovative security solutions in
3434+ their applications.
3535+'';
3636+ homepage = https://getdnsapi.net;
3737+ maintainers = with maintainers; [ leenaars ];
3838+ license = licenses.bsd3;
3939+ platforms = platforms.all;
4040+ };
4141+}